Shipping with UPS on Windows Server 2003 or XP may require update

Posted by EQ Tech on Tue, Oct 13, 2015

Sage 300 customers running Windows Server 2003 and XP may encounter compatibility issues with with UPS shipping.  

Issue:  Error message "The underlying connection was closed: Could not establish trust relationship for the SSL/TLS secure channel" may be received when rating, or processing UPS shipments.

Sage 300 (Accpac) customers, may encounter this error for the following reasons:

  • UPS is in the process of changing its website security architecture from a VeriSign SHA-1 to a VeriSign SHA-2 256 certificate. Customers with shipping software Server installations on Windows XP or Windows Server 2003 may receive this error message.
  • UPS will also be upgrading to the TLS 1.2 communication security protocol for all UPS Developer Kit APIs, effective May 31, 2016. Compatibility testing will be required for this change. As of this time, there is no immediate action for this item.

To resolve the problem, download and apply this hotfix from Microsoft to your Server machine: https://support.microsoft.com/en-us/kb/968730. A reboot is required after the hotfix is complete.

It is recommend that you migrate to a supported operating system and/or sever.  Note: Microsoft ended support for Windows XP on April 8, 2014; support for Windows Server 2003 ended on July 14, 2015.

If you need guidance on moving to a supported Microsoft operating system, or data base, please contact us.

Topics: Sage 300 (ACCPAC)

Submit a Comment

Need Help Now?

Request a Call